Tasuku
ReferenceAPI referenceSlack

Set eligible and primary repositories for one joined Slack channel

PUT/organizations/{organization_id}/slack/channels/{channel_id}/repository-policy

Authorization

tasuku_session<token>

In: cookie

Path Parameters

organization_id*string
Length1 <= length <= 128
channel_id*string
Length1 <= length <= 255

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/organizations/string/slack/channels/string/repository-policy" \  -H "Content-Type: application/json" \  -d '{    "repository_ids": [      "string"    ]  }'
{  "data": {    "channel_id": "string",    "channel_name": "string",    "primary_repository_id": "string",    "repository_ids": [      "string"    ]  }}